Skip to main content
GET
/
api
/
company
/
recipients
List company recipients
curl --request GET \
  --url https://api.sandbox.bitwage.com/api/company/recipients \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "id": "<string>",
      "email": "jsmith@example.com",
      "name": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "role": "<string>",
      "recipient_type": "<string>",
      "status": "<string>",
      "country": "<string>",
      "external_id": "<string>",
      "department": "<string>",
      "vendor_type": "<string>",
      "created": "2023-12-25"
    }
  ],
  "meta": {
    "page": 123,
    "total": 123,
    "pages": 123,
    "has_prev": true,
    "has_next": true,
    "prev_num": 123,
    "next_num": 123,
    "per_page": 123
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your access token as: Authorization: Basic <ACCESS_TOKEN>

Query Parameters

company_id
string
required

Search by name or email.

role
enum<string>
Available options:
contractor,
employee,
vendor
recipient_type
enum<string>
Available options:
user,
company
status
enum<string>
Available options:
active,
pending,
inactive
country
string

2-letter ISO country code.

sort_by
enum<string>
Available options:
name,
email,
created
sort_by_dir
enum<string>
Available options:
asc,
desc
page
integer

Page number.

Required range: x >= 1
per_page
integer

Number of items per page.

Required range: x >= 1

Response

200 - application/json

Recipient list returned.

data
object[]
meta
object